]> arthur.barton.de Git - backup-script.git/blobdiff - bin/backup-script-wrapper
backup-script-wrapper: Return exit code of backup-script
[backup-script.git] / bin / backup-script-wrapper
index 38ba1cdd1ee906f3a5ed8cb0c47ea97b912b04f3..fbd061f6c919b37e7ae162defdb5202e4d7b91c1 100755 (executable)
@@ -1,7 +1,7 @@
-#!/bin/sh
+#!/bin/bash
 #
 # backup-script system for cloning systems using rsync
-# Copyright (c)2008-2011 Alexander Barton, alex@barton.de
+# Copyright (c)2008-2015 Alexander Barton, alex@barton.de
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
 # Please read the file COPYING, README and AUTHORS for more information.
 #
 
-MAILTO="logcheck"
+if [ -z "$MAILTO" ]; then
+       if id "logcheck" >/dev/null 2>&1; then
+               MAILTO="logcheck"
+       elif fgrep "logcheck:" /etc/aliases >/dev/null 2>&1; then
+               MAILTO="logcheck"
+       else
+               MAILTO="root"
+       fi
+fi
 
 NAME="backup-script"
 HOST=`hostname`
-TMP="/tmp/$NAME.$$"
+TMP=`mktemp /tmp/$NAME.XXXXXXXX` || exit 11
+LOGFILE="/var/log/backup-script.log"
 
-backup-script $* >$TMP 2>&1
+PATH="$PATH:/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin"
+export PATH
 
-cat $TMP | mail -s "$HOST: $NAME results" "$MAILTO"
+exec >"$TMP" 2>&1
 
-rm -f $TMP
+echo "$NAME Report"
+echo
+echo " - Host: `hostname -f`"
+echo " - User: `id -un`"
+echo
+
+if [ -w "$LOGFILE" ]; then
+       "$(dirname "$0")/backup-script" "$@" | tee -a "$LOGFILE"
+       r=${PIPESTATUS[0]}
+else
+       "$(dirname "$0")/backup-script" "$@"
+       r=$?
+       echo "(Can't write logfile: \"$LOGFILE\"!)"
+fi
+
+cat "$TMP" | mail -s "$HOST: $NAME results" "$MAILTO"
+
+rm -f "$TMP"
+exit $r
 
 # -eof-